Package de.willuhn.jameica.hbci.passports.ddv

# Class DDVConfig

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.DDVConfig

All Implemented Interfaces:
  `Configuration`

public class DDVConfig extends Object implements Configuration
Konfiguration eines einzelnen Kartenlesers.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`PORTS`
Moegliche Ports fuer den Leser.

## Method Summary

Modifier and Type
Method
Description
`DDVConfig`
`copy()`
Erstellt eine Kopie der Config mit neuer ID.
`void`
`delete()`
Loescht die Konfiguration.
`Class`
`getConfigDialog()`
Liefert die Klasse des Konfigurationsdialogs.
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`int`
`getCTNumber()`
Liefert die Index-Nummer des Kartenlesers.
`String`
`getDescription()`
Liefert einen Beschreibungstext fuer die Konfiguration.
`int`
`getEntryIndex()`
Liefert den Index des Slots auf der Karte.
`String`
`getHBCIVersion()`
Liefert die zu verwendende HBCI-Version.
`String`
`getId()`
Liefert die ID der Config.
`List<Konto>`
`getKonten()`
Liefert eine Liste von fest verdrahteten Konten fuer die Kartenleser-Config.
`String`
`getName()`
Liefert einen sprechenden Namen fuer die Config.
`String`
`getPCSCName()`
Liefert den Kartenleser-Namen, wenn es einer via javax.smartcardio ist.
`String`
`getPort()`
Liefert die Port-Nummer des Kartenlesers.
`static int`
`getPortForName(String name)`
Liefert die Portnummer fuer den angegebenen Port-Namen.
`Reader`
`getReaderPreset()`
Liefert das Kartenleser-Preset, auf dem diese Config basiert.
`void`
`setCTAPIDriver(String file)`
Legt Pfad und Dateiname des CTAPI-Treibers fest.
`void`
`setCTNumber(int ctNumber)`
Speichert die Index-Nummer des Kartenlesers.
`void`
`setEntryIndex(int index)`
Legt den Index des Slots auf der Karte fest.
`void`
`setHBCIVersion(String version)`
Legt die zu verwendende HBCI-Version fest.
`void`
`setKonten(List<Konto> list)`
Speichert eine Liste von fest zugeordneten Konten.
`void`
`setName(String name)`
Legt den Namen der Config fest.
`void`
`setPCSCName(String javaname)`
Legt den Kartenleser-Namen von javax.smartcardio-Kartenlesern fest.
`void`
`setPort(String port)`
Speichert die Port-Nummer des Kartenlesers.
`void`
`setReaderPreset(Reader reader)`
Legt das Kartenleser-Preset fuer die Config fest.
`void`
`setSoftPin(boolean softPin)`
Legt fest, ob die PC-Tastatur zur Eingabe von PINs verwendet werden soll.
`boolean`
`useSoftPin()`
Liefert true, wenn die PC-Tastatur zur Eingabe von PINs verwendet werden soll.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PORTS

public static final String[] PORTS
Moegliche Ports fuer den Leser.

## Method Details

### getId

public String getId()
Liefert die ID der Config.

Returns:
  die ID der Config.

### getDescription

public String getDescription()
Description copied from interface: `Configuration`
Liefert einen Beschreibungstext fuer die Konfiguration.

Specified by:
  `getDescription` in interface `Configuration`
Returns:
  Beschreibungstext.
See Also:
  - `Configuration.getDescription()`

### getConfigDialog

public Class getConfigDialog() throws RemoteException
Description copied from interface: `Configuration`
Liefert die Klasse des Konfigurationsdialogs. Oeffnet der Anwender den Konfigurations-Dialog durch Doppelklick auf die Liste der vorhandenen Konfigurationen, dann wird eine Instanz dieser Klasse erzeugt und in der GUI angezeigt. Als Referenz kann hierzu de.willuhn.jameica.passports.ddv.View dienen.

Specified by:
  `getConfigDialog` in interface `Configuration`
Returns:
  Die Klasse des Konfig-Dialogs. Muss von `AbstractView` abgeleitet sein.
Throws:
  `RemoteException`
See Also:
  - `Configuration.getConfigDialog()`

### getName

public String getName()
Liefert einen sprechenden Namen fuer die Config.

Returns:
  sprechender Name fuer die Config.

### setName

public void setName(String name)
Legt den Namen der Config fest.

Parameters:
  `name` - Name der Config.

### getPort

public String getPort()
Liefert die Port-Nummer des Kartenlesers.

Returns:
  die Port-Nummer des Kartenlesers.

### setPort

public void setPort(String port)
Speichert die Port-Nummer des Kartenlesers.

Parameters:
  `port` - die Portnummer des Kartenlesers.

### getCTNumber

public int getCTNumber()
Liefert die Index-Nummer des Kartenlesers.

Returns:
  die Index-Nummer des Kartenlesers.

### setCTNumber

public void setCTNumber(int ctNumber)
Speichert die Index-Nummer des Kartenlesers.

Parameters:
  `ctNumber` - die Index-Nummer des Kartenlesers.

### useSoftPin

public boolean useSoftPin()
Liefert true, wenn die PC-Tastatur zur Eingabe von PINs verwendet werden soll.

Returns:
  true, wenn die PC-Tastatur zur Eingabe von PINs verwendet werden soll.

### setSoftPin

public void setSoftPin(boolean softPin)
Legt fest, ob die PC-Tastatur zur Eingabe von PINs verwendet werden soll.

Parameters:
  `softPin` - true, wenn die PC-Tastatur zur Eingabe von PINs verwendet werden soll.

### getPCSCName

public String getPCSCName()
Liefert den Kartenleser-Namen, wenn es einer via javax.smartcardio ist.

Returns:
  der Kartenleser-Name.

### setPCSCName

public void setPCSCName(String javaname)
Legt den Kartenleser-Namen von javax.smartcardio-Kartenlesern fest.

Parameters:
  `javaname` - der Name des Kartenlesers in javax.smartcardio.

### getEntryIndex

public int getEntryIndex()
Liefert den Index des Slots auf der Karte.

Returns:
  Index des Slots auf der Karte.

### setEntryIndex

public void setEntryIndex(int index)
Legt den Index des Slots auf der Karte fest.

Parameters:
  `index` - Indes des Slots auf der Karte.

### getCTAPIDriver

public String getCTAPIDriver()
Liefert Pfad und Dateiname des CTAPI-Treibers.

Returns:
  Pfad und Dateiname des CTAPI-Traibers.

### setCTAPIDriver

public void setCTAPIDriver(String file)
Legt Pfad und Dateiname des CTAPI-Treibers fest.

Parameters:
  `file` - Pfad und Dateiname des CTAPI-Treibers.

### getReaderPreset

public Reader getReaderPreset()
Liefert das Kartenleser-Preset, auf dem diese Config basiert.

Returns:
  das Kartenleser-Preset, auf dem diese Config basiert.

### setReaderPreset

public void setReaderPreset(Reader reader)
Legt das Kartenleser-Preset fuer die Config fest.

Parameters:
  `reader` - das Kartenleser-Preset.

### getHBCIVersion

public String getHBCIVersion()
Liefert die zu verwendende HBCI-Version.

Returns:
  die HBCI-Version.

### setHBCIVersion

public void setHBCIVersion(String version)
Legt die zu verwendende HBCI-Version fest.

Parameters:
  `version` - die zu verwendende HBCI-Version.

### getKonten

public List<Konto> getKonten() throws RemoteException
Liefert eine Liste von fest verdrahteten Konten fuer die Kartenleser-Config.

Returns:
  Liste von fest verdrahteten Konten.
Throws:
  `RemoteException`

### setKonten

public void setKonten(List<Konto> list) throws RemoteException
Speichert eine Liste von fest zugeordneten Konten.

Parameters:
  `list` - Liste von fest zugeordneten Konten.
Throws:
  `RemoteException`

### getPortForName

public static int getPortForName(String name) throws RemoteException
Liefert die Portnummer fuer den angegebenen Port-Namen.

Parameters:
  `name` - der Port-Name.
Returns:
  die Port-Nummer.
Throws:
  `RemoteException`

### copy

public DDVConfig copy()
Erstellt eine Kopie der Config mit neuer ID.

Returns:
  Kopie der Config.

### delete

public void delete() throws de.willuhn.util.ApplicationException
Description copied from interface: `Configuration`
Loescht die Konfiguration.

Specified by:
  `delete` in interface `Configuration`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Configuration.delete()`